libimage-exiftool-perl (13.50+dfsg-1) unstable; urgency=medium

  From upstream Changes:

  Dec. 26, 2025 - Version 13.45
    - API Changes:
        - Added SystemTimeRes option

  Jan. 25, 2026 - Version 13.46
    - API Changes:
        - Added GeoUserTag option

  Jan. 27, 2026 - Version 13.47
    - API Changes:
        - Added CSV support to GeoUserTag option

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Feb 2026 17:57:31 +0100

libimage-exiftool-perl (13.44+dfsg-1) unstable; urgency=medium

  From upstream Changes:
  
  Sept. 22, 2025 - Version 13.37
    - API Changes:
        - Fixed GeoDir option so alternate languages are loaded properly when
          a relative path is specified

  Oct. 15, 2025 - Version 13.39
    - API Changes:
        - Added GeoHPosErr option to set GPSHPositioningError when geotagging

 -- gregor herrmann <gregoa@debian.org>  Tue, 23 Dec 2025 00:47:00 +0100

libimage-exiftool-perl (13.25+dfsg-1) unstable; urgency=medium

  From upstream Changes:

  Mar. 11, 2025 - Version 13.25 (production release)
    - API Changes:
        - Added KeepUTCTime option

  Mar. 7, 2025 - Version 13.23
    - API Changes:
        - Fixed documentation for LargeFileSupport option to reflect current
          default

  Feb. 20, 2025 - Version 13.20
    - API Changes:
        - Added Plot option

  Jan. 1, 2025 - Version 13.11
    - API Changes:
        - Added GPSQuadrant option

 -- gregor herrmann <gregoa@debian.org>  Sun, 16 Mar 2025 01:52:49 +0100

libimage-exiftool-perl (13.10+dfsg-1) unstable; urgency=medium

  From upstream Changes:

  Dec. 11, 2024 - Version 13.07
    - API Changes:
        - Changed default WindowsLongPath option back to 1 after adding a patch to
          fix issue with piping from stdin

  Dec. 5, 2024 - Version 13.06
    - API Changes:
        - Revert default WindowsLongPath option to the pre-13.05 setting
          until we can solve the pipe problem

  Dec. 4, 2024 - Version 13.05
    - API Changes:
        - Changed default WindowsLongPath option to 1 (please report if this
          causes any problems)

  Nov. 12, 2024 - Version 13.03
    - API Changes:
        - Enchanced GlobalTimeShift option to allow the base tag to be specified,
          otherwise use the first specified source date/time tag when copying tags

  Nov. 5, 2024 - Version 13.02
    - API Changes:
        - Added SaveBin option

  Nov. 1, 2024 - Version 13.01
    - API Changes:
        - Added WindowsLongPath option for testing
        - Changed CharsetFileName option to automatically assume UTF8 if the file
          name contains special characters and is valid UTF8

 -- gregor herrmann <gregoa@debian.org>  Sat, 21 Dec 2024 20:10:13 +0100

libimage-exiftool-perl (13.00+dfsg-1) unstable; urgency=medium

  From upstream Changes:

  Oct. 18, 2024 - Version 12.99
    - API Changes:
        - Structured values returned as HASH references with the Struct option
          may contain a new "_ordered_keys_" entry used to preserve the order
          of the entries
        - Added the OrderedKeys method to return the ordered or sorted keys
          from a returned structure value

  July 11, 2024 - Version 12.88 - "New Windows/MacOS packages"
    - API Changes:
        - Changed LargeFileSupport default to 2 and added a warning if a large
          chunk is encountered. Set to 1 to avoid the warning.

  Apr. 18, 2024 - Version 12.83
    - API Changes:
        - Added IgnoreGroups option

  Apr. 5, 2024 - Version 12.82 - "GM PDR"
    - API Changes:
        - Added PrintCSV option for optimized extraction of GM PDR data in CSV
          format

  Mar. 27, 2024 - Version 12.81
    - API Changes:
        - Added GeolocAltNames option

  Mar. 19, 2024 - Version 12.80
    - API Changes:
        - Added GeolocFeature option

  Mar. 15, 2024 - Version 12.79
    - API Changes:
        - Save necessary data members to allow GetInfo to be accessed by
          user-defined tags

 -- gregor herrmann <gregoa@debian.org>  Thu, 31 Oct 2024 16:34:34 +0100

libimage-exiftool-perl (12.76+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.71:
  - API Changes:
      - Added NoMandatory option

  From upstream Changes for 12.73:
  - API Changes:
      - Added LimitLongValues option to provide control over tags which
        previously had a hard-coded length limit

 -- gregor herrmann <gregoa@debian.org>  Sat, 03 Feb 2024 01:37:16 +0100

libimage-exiftool-perl (12.70+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.70:
  - API Changes:
      - Added ByteUnit option

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Nov 2023 20:00:55 +0100

libimage-exiftool-perl (12.67+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.66:
  - API Changes:
      - Added WindowsWideFile option

 -- gregor herrmann <gregoa@debian.org>  Fri, 29 Sep 2023 01:48:01 +0200

libimage-exiftool-perl (12.65+dfsg-1) unstable; urgency=medium

  From upstream changes for 12.65:
  - API Changes:
      - Added AvailableOptions method

 -- gregor herrmann <gregoa@debian.org>  Fri, 11 Aug 2023 17:50:00 +0200

libimage-exiftool-perl (12.64+dfsg-1) unstable; urgency=medium

  From upstream changes for 12.64:
  - API Changes:
      - Added StructFormat option to allow JSON-format serialized structures
      - Added NoDups option to eliminate duplicate items from queued values
        when writing List-type tags

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Jul 2023 02:22:46 +0200

libimage-exiftool-perl (12.63+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.63:
    - API Changes:
        - Added ImageHashType option

  From upstream Changes for 12.62:
    - API Changes:
        - Added NoWarning option

  From upstream Changes for 12.59:
    - COMPATIBILITY WARNING: Changed the calculated ImageDataMD5 for JPEG
      images to include all data from the SOS to the EOI (including the SOS
      marker but not the EOI marker)
    - API Changes:
        - Added SetAlternateFile method

 -- gregor herrmann <gregoa@debian.org>  Sun, 11 Jun 2023 23:27:15 +0200

libimage-exiftool-perl (12.43+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12:43:
  - API Changes:
      - Added IgnoreTags option

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Jul 2022 16:05:45 +0200

libimage-exiftool-perl (12.34+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.34:
  - API Changes:
      - Added QuickTimePad option

 -- gregor herrmann <gregoa@debian.org>  Sat, 30 Oct 2021 16:21:36 +0200

libimage-exiftool-perl (12.25+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.23:
  - API Changes:
      - Added BlockExtract option

 -- gregor herrmann <gregoa@debian.org>  Sat, 24 Apr 2021 22:46:19 +0200

libimage-exiftool-perl (12.19+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.19:
  - API Changes:
      - Added ability to read/write System tags of directories
      - Enhanced GetAllGroups() to support family 7 and take optional ExifTool
        reference
      - Changed QuickTimeHandler option default to 1

 -- gregor herrmann <gregoa@debian.org>  Sat, 20 Feb 2021 17:56:12 +0100

libimage-exiftool-perl (12.17+dfsg-1) unstable; urgency=medium

  From upstream Changes for 12.16 (only added in 12.17):
  - API Changes:
      - Enhanced ExtractEmbedded option

 -- gregor herrmann <gregoa@debian.org>  Fri, 05 Feb 2021 00:26:46 +0100

libimage-exiftool-perl (12.03-1) unstable; urgency=medium

  From upstream Changes for 12.00:

  - API Changes:
      - Added HexTagIDs option
      - Enhanced GetNewValue() to allow family 7 groups names to be used

 -- gregor herrmann <gregoa@debian.org>  Thu, 30 Jul 2020 17:28:45 +0200

libimage-exiftool-perl (12.00-1) unstable; urgency=medium

  From upstream Changes for 12.00:

  - API Changes:
      - Changed FilterW option to not write tag if $_ is set to undef
      - Added NoMultiExif option

 -- gregor herrmann <gregoa@debian.org>  Fri, 12 Jun 2020 14:02:29 +0200

libimage-exiftool-perl (11.93-1) unstable; urgency=medium

  From upstream Changes for 11.93:

  - API Changes:
      - Enhanced UserParam  option to allow parameters to be extracted as if
        they were a normal tag

 -- gregor herrmann <gregoa@debian.org>  Tue, 07 Apr 2020 18:52:41 +0200

libimage-exiftool-perl (11.86-1) unstable; urgency=medium

  From upstream Changes for 11.86:

  - API Changes:
      - Patched ImageInfo() to recognize a stringified object as a file name

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Feb 2020 16:04:26 +0100

libimage-exiftool-perl (11.65-2) unstable; urgency=medium

  From upstream Changes for 11.71:

  - API Changes:
      - Changed ListSplit option to preserve empty list items

 -- gregor herrmann <gregoa@debian.org>  Sat, 02 Nov 2019 03:07:12 +0100

libimage-exiftool-perl (11.65-1) unstable; urgency=medium

  From upstream Changes for 11.64:

  - API Changes:
      - Documented SavePath and SaveFormat options

 -- gregor herrmann <gregoa@debian.org>  Thu, 29 Aug 2019 21:48:58 +0200

libimage-exiftool-perl (11.61-1) unstable; urgency=medium

  From upstream Changes for 11.58:

  - API Changes:
      - Removed PNGEarlyXMP option
      - Fixed problem introduced in 11.54 which caused Options('UserParam') to
        return undef

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2019 03:02:56 +0200

libimage-exiftool-perl (11.55-1) unstable; urgency=medium

  From upstream Changes for 11.54
  - API Changes:
      - Added FilterW option
      - Enhanced Compact option to improve flexibility and include features of
        XMPShorthand option
      - Removed XMPShorthand option from documentation

  From upstream Changes for 11.53
  - API Changes:
      - Enhanced XMPShorthand option to add level 2

  From upstream Changes for 11.52
  - API Changes:
      - Enhanced Compact option to add levels 3, 4 and 5

  From upstream Changes for 11.45
  - API Changes:
      - Added QuickTimeHandler option

  From upstream Changes for 11.34
  - API Changes:
      - Changed SetFileName() 'Link' option name to 'HardLink' (but still allow
        'Link' for backward compatibility)

  From upstream Changes for 11.33
  - API Changes:
      - Added SymLink option to SetFileName()

  From upstream Changes for 11.32
  - API Changes:
      - Added new single-argument version of ShiftTime()

  From upstream Changes for 11.19
  - API Changes:
      - Enhanced FastScan option to add a setting of 4

 -- gregor herrmann <gregoa@debian.org>  Sun, 14 Jul 2019 17:50:36 -0300

libimage-exiftool-perl (11.16-1) unstable; urgency=medium

  From upstream Changes for 11.15:
  - API Changes:
      - Added GeoSpeedRef option

 -- gregor herrmann <gregoa@debian.org>  Wed, 31 Oct 2018 18:50:40 +0100

libimage-exiftool-perl (11.13-1) unstable; urgency=medium

  From upstream Changes for 11.13:
  - API Changes:
      - Enhanced StrictDate option to reformat PNG CreateTime according to PNG
        specification

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Oct 2018 19:37:01 +0200

libimage-exiftool-perl (10.79-1) unstable; urgency=medium

  From upstream Changes for 10.76:
  - API Changes:
      - Added XMPShorthand option
      - Enhanced Compact option so a setting of 2 avoids XMP indentation

 -- gregor herrmann <gregoa@debian.org>  Wed, 14 Feb 2018 20:42:25 +0100

libimage-exiftool-perl (10.67-1) unstable; urgency=medium

  From upstream Changes for 10.67:
  - API Changes:
      - Added TimeZone option

 -- gregor herrmann <gregoa@debian.org>  Tue, 21 Nov 2017 20:25:13 +0100

libimage-exiftool-perl (10.56-1) unstable; urgency=medium

  From upstream Changes for 10.41, 10.45, 10.46, 10.49, 10.54:
  - API Changes:
      - Added ListJoin option to replace List and ListSep options
      - Allow access to the advanced formatting expression via a new ExifTool
        "FMT_EXPR" member variable
      - Enhanced RequestTags option to allow groups to be requested
      - Added XAttrTags option
      - Enhanced RequestAll option
      - Added experimental Validate option

 -- gregor herrmann <gregoa@debian.org>  Sat, 17 Jun 2017 21:16:05 +0200

libimage-exiftool-perl (10.23-1) unstable; urgency=medium

  From upstream Changes for 10.23:
  - API Changes:
      - Added CharsetRIFF option

 -- gregor herrmann <gregoa@debian.org>  Wed, 20 Jul 2016 20:20:28 +0200

libimage-exiftool-perl (10.14-1) unstable; urgency=medium

  From upstream Changes for 10.14:
  - API Changes:
      - Fixed bug where FileModifyDate wasn't set properly when WriteInfo() was
        called without a destination file name and other "real" tags were
        written at the same time

 -- gregor herrmann <gregoa@debian.org>  Sat, 09 Apr 2016 01:56:43 +0200

libimage-exiftool-perl (10.13-1) unstable; urgency=medium

  From upstream Changes for 10.13:
  - API Changes:
      - Fixed bug which could cause the API Filter option to be ignored for
        some tags when copying tags with the Composite option set

 -- gregor herrmann <gregoa@debian.org>  Sun, 27 Mar 2016 20:47:31 +0200

libimage-exiftool-perl (10.10-1) unstable; urgency=medium

  From upstream Changes for 10.10:
  - API Changes:
      - Added RequestTags option
      - No longer generate MDItem tags when RequestAll option is set

 -- gregor herrmann <gregoa@debian.org>  Sat, 23 Jan 2016 00:29:20 +0100

libimage-exiftool-perl (10.08-1) unstable; urgency=medium

  From upstream Changes for 10.08:
  - API Changes:
      - Changed QuickTimeUTC API option to also enforce proper time zero

 -- gregor herrmann <gregoa@debian.org>  Wed, 23 Dec 2015 18:14:53 +0100

libimage-exiftool-perl (10.05-1) unstable; urgency=medium

  From upstream Changes for 10.05:
  - API Changes:
      - Added Filter option
      - Changed GetNewValues method name to GetNewValue (GetNewValues still
        works for backward compatibility)

 -- gregor herrmann <gregoa@debian.org>  Sun, 08 Nov 2015 18:10:55 +0100

libimage-exiftool-perl (9.27-1) unstable; urgency=low

  From upstream changes for the versions between 9.13 and 9.27:
  - API Changes:
   - The CombineInfo() routine is now deprecated because it is likely that
     nobody ever used it. If anyone actually uses this, please let me know
   - Compatibility Notice: The MWG Composite tags are no longer automatically
     loaded just by using the MWG module. Image::ExifTool::MWG::Load() must
     now be called explicitly to load these tags

 -- gregor herrmann <gregoa@debian.org>  Tue, 22 Oct 2013 19:44:34 +0200
